## emdebian-archive-keyring 2.0.1

=== Makefile ===

all:
	gpg --no-default-keyring --keyring ./emdebian-archive-keyring.gpg --import 0x97BB3B58.txt
	$(RM) emdebian-archive-keyring.gpg~

install:

clean:
	$(RM) emdebian-archive-keyring.gpg
	$(RM) *tar.gz.cdbs-config_list

check:

test:

## emdebian-archive-keyring 2.0.0

=== debian/changelog ===
emdebian-archive-keyring (2.0.0) unstable; urgency=low

  * Completing the source package split.

 -- Neil Williams <codehelp@debian.org>  Sun, 26 Apr 2009 15:08:07 +0100

emdebian-archive-keyring (1.9.0) unstable; urgency=low

  * Emdebian release

 -- Neil Williams <codehelp@debian.org>  Sun, 29 Mar 2009 19:37:40 +0100

emdebian-archive-keyring (1.8.0) unstable; urgency=low

  * Initial split from the emdebian-tools source package.

 -- Neil Williams <codehelp@debian.org>  Thu, 26 Mar 2009 21:03:45 +0000

=== debian/control ===
Source: emdebian-archive-keyring
Section: utils
Priority: extra
Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Wookey <wookey@debian.org>
Build-Depends: cdbs, debhelper (>= 5), po-debconf
Build-Depends-Indep: gnupg
Standards-Version: 3.8.1
Homepage: http://www.emdebian.org/crush/keys.html
Vcs-Browser: http://buildd.emdebian.org/svn/browser/current/host/trunk/emdebian-archive-keyring/trunk/
Vcs-Svn: http://buildd.emdebian.org/repos/current/host/trunk/emdebian-archive-keyring/trunk/

Package: emdebian-archive-keyring
Architecture: all
Depends: ${misc:Depends}, apt, gnupg
Replaces: emdebian-tools (<< 1.8.0)
Description: GnuPG archive keys for the emdebian repository
 Emdebian digitally signs its Release files. This package
 contains the archive key used by both Emdebian Crush and
 Emdebian Grip.
 .
 The key is also available via the Emdebian website and as
 a udeb for debian-installer support.

Package: emdebian-archive-keyring-udeb
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}
XB-Installer-Menu-Item: 6490
XC-Package-Type: udeb
Recommends: gpgv-udeb
Description: GnuPG keys of the Emdebian archive - udeb
 Emdebian project digitally signs its Release files. This package
 contains the archive keys used for that, in a minimal form for use
 in the installer.

## emdebian-archive-keyring 2.0.1

=== debian/changelog ===
emdebian-archive-keyring (2.0.1) unstable; urgency=low

  * Symlink emdebian-archive-keyring to /usr/share/keyrings
    (Closes: #562100)

 -- Neil Williams <codehelp@debian.org>  Wed, 20 Jan 2010 20:42:57 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Wookey <wookey@debian.org>
 Build-Depends: cdbs, debhelper (>= 5), po-debconf
 Build-Depends-Indep: gnupg
-Standards-Version: 3.8.1
+Standards-Version: 3.8.3
 Homepage: http://www.emdebian.org/crush/keys.html
 Vcs-Browser: http://buildd.emdebian.org/svn/browser/current/host/trunk/emdebian-archive-keyring/trunk/
 Vcs-Svn: http://buildd.emdebian.org/repos/current/host/trunk/emdebian-archive-keyring/trunk/

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originally written by Robert Millan.
# This file is public domain.
  
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

## emdebian-archive-keyring 2.0.3

=== Makefile ===

all:
	gpg --no-permission-warning -q --homedir . --no-default-keyring \
	--keyring ./emdebian-archive-keyring.gpg --import 0x97BB3B58.txt
	$(RM) emdebian-archive-keyring.gpg~ secring.gpg trustdb.gpg

install:

clean:
	$(RM) emdebian-archive-keyring.gpg
	$(RM) *tar.gz.cdbs-config_list

check:

test:

=== debian/changelog ===
emdebian-archive-keyring (2.0.3) unstable; urgency=low

  * Use working directory as GNUPG homedir and clean up the
    temporary files so generated. (Closes: #665081)

 -- Neil Williams <codehelp@debian.org>  Sat, 24 Mar 2012 09:26:08 +0000

emdebian-archive-keyring (2.0.2em1) unstable; urgency=low

  * Emdebian direct release.
  * Help Emdebian handle update-info-dir without info documents.

 -- Neil Williams <codehelp@debian.org>  Sat, 09 Oct 2010 22:19:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: extra
 Maintainer: Neil Williams <codehelp@debian.org>
 Uploaders: Wookey <wookey@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), po-debconf
-Build-Depends-Indep: gnupg
-Standards-Version: 3.8.3
+Build-Depends: cdbs, debhelper (>= 5), po-debconf, gnupg
+Build-Conflicts: dh-buildinfo
+Standards-Version: 3.9.3
 Homepage: http://www.emdebian.org/crush/keys.html
 Vcs-Browser: http://buildd.emdebian.org/svn/browser/current/host/trunk/emdebian-archive-keyring/trunk/
 Vcs-Svn: http://buildd.emdebian.org/repos/current/host/trunk/emdebian-archive-keyring/trunk/
 
 Package: emdebian-archive-keyring
 Architecture: all
+Priority: important
 Depends: ${misc:Depends}, apt, gnupg
-Replaces: emdebian-tools (<< 1.8.0)
 Description: GnuPG archive keys for the emdebian repository
  Emdebian digitally signs its Release files. This package
  contains the archive key used by both Emdebian Crush and

=== debian/rules ===
--- 
+++ 
@@ -4,4 +4,3 @@
   
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/simple-patchsys.mk

## emdebian-archive-keyring 2.0.4

=== debian/changelog ===
emdebian-archive-keyring (2.0.4) unstable; urgency=medium

  * Revoke 0x97BB3B58 and disable the keyring. 

 -- Neil Williams <codehelp@debian.org>  Thu, 27 Nov 2014 09:25:41 +0000

## emdebian-archive-keyring 2.0.5

=== Makefile ===

all:
	gpg --no-permission-warning -q --homedir . --no-default-keyring \
	--keyring ./emdebian-archive-keyring.gpg --import 1804772E.txt
	$(RM) emdebian-archive-keyring.gpg~ secring.gpg trustdb.gpg

install:

clean:
	$(RM) emdebian-archive-keyring.gpg
	$(RM) *tar.gz.cdbs-config_list

check:

test:

=== debian/changelog ===
emdebian-archive-keyring (2.0.5) unstable; urgency=medium

  * Resurrect with new emdebian toolchain archive key (1804772E)

 -- Wookey <wookey@debian.org>  Wed, 15 Jul 2015 17:56:35 +0100

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
 Depends: ${misc:Depends}, apt, gnupg
 Description: GnuPG archive keys for the emdebian repository
  Emdebian digitally signs its Release files. This package
- contains the archive key used by both Emdebian Crush and
- Emdebian Grip.
+ contains the archive key used for Emdebian repositories 
+ since 2015.
  .
  The key is also available via the Emdebian website and as
  a udeb for debian-installer support.

## emdebian-archive-keyring 2.2

=== debian/changelog ===
emdebian-archive-keyring (2.2) unstable; urgency=medium

  * Fix priority (Closes: #796548)
  * Update for gnupg2 compatibility (Closes: #847136, #847227)
  * Cleanup (purge) without relying on gnupg (Closes: #832356)
  * Switch to dh from cdbs

 -- Wookey <wookey@debian.org>  Wed, 14 Dec 2016 03:37:37 +0000

emdebian-archive-keyring (2.1) unstable; urgency=medium

  * Adopt package
  * Refresh packaging
  * Add Multi-Arch metadata

 -- Wookey <wookey@debian.org>  Mon, 05 Dec 2016 04:37:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: emdebian-archive-keyring
 Section: utils
 Priority: extra
-Maintainer: Neil Williams <codehelp@debian.org>
-Uploaders: Wookey <wookey@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), po-debconf, gnupg
-Build-Conflicts: dh-buildinfo
-Standards-Version: 3.9.3
+Maintainer: Wookey <wookey@debian.org>
+Build-Depends: debhelper (>= 9), po-debconf, gnupg
+Standards-Version: 3.9.6
 Homepage: http://www.emdebian.org/crush/keys.html
 Vcs-Browser: http://buildd.emdebian.org/svn/browser/current/host/trunk/emdebian-archive-keyring/trunk/
 Vcs-Svn: http://buildd.emdebian.org/repos/current/host/trunk/emdebian-archive-keyring/trunk/
 
 Package: emdebian-archive-keyring
 Architecture: all
-Priority: important
+Multi-Arch: foreign
+Priority: extra
 Depends: ${misc:Depends}, apt, gnupg
 Description: GnuPG archive keys for the emdebian repository
  Emdebian digitally signs its Release files. This package
@@ -24,6 +23,7 @@
 
 Package: emdebian-archive-keyring-udeb
 Architecture: all
+Multi-Arch: foreign
 Section: debian-installer
 Depends: ${misc:Depends}
 XB-Installer-Menu-Item: 6490

=== debian/rules ===
#!/usr/bin/make -f

KEYRING=emdebian-archive-keyring.gpg
KEY=1804772E.txt

%:
	dh $@

$(KEYRING): $(KEY)
	gpg --no-permission-warning --homedir $(CURDIR) --no-default-keyring --keyring $(CURDIR)/$@.tmp --import $<
	gpg --no-permission-warning --homedir $(CURDIR) --no-default-keyring --keyring $(CURDIR)/$@.tmp --export --output $(CURDIR)/$@

override_dh_auto_build: $(KEYRING)

override_dh_auto_clean:
	rm -rf *.gpg *.gpg~ *.gpg.tmp

## emdebian-archive-keyring 2.2+nmu1

=== debian/changelog ===
emdebian-archive-keyring (2.2+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Dec 2020 15:28:07 +0100
